Bug 205738 - PROGRESSION (r253926): webgl/1.0.3/conformance/renderbuffers/feedback-loop.html is failing
Summary: PROGRESSION (r253926): webgl/1.0.3/conformance/renderbuffers/feedback-loop.ht...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2020-01-03 11:12 PST by Truitt Savell
Modified: 2020-03-13 23:17 PDT (History)
6 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Truitt Savell 2020-01-03 11:12:56 PST
webgl/1.0.3/conformance/renderbuffers/feedback-loop.html

Description:
This test began failing on Catalina after r253926. This may just need a rebase

History:
https://results.webkit.org/?suite=layout-tests&test=webgl%2F1.0.3%2Fconformance%2Frenderbuffers%2Ffeedback-loop.html

Diff:
--- /Volumes/Data/slave/catalina-debug-tests-wk2-webgl/build/layout-test-results/webgl/1.0.3/conformance/renderbuffers/feedback-loop-expected.txt
+++ /Volumes/Data/slave/catalina-debug-tests-wk2-webgl/build/layout-test-results/webgl/1.0.3/conformance/renderbuffers/feedback-loop-actual.txt
@@ -1,14 +1,5 @@
 This test runs the WebGL Test listed below in an iframe and reports PASS or FAIL.
 
 Test: ../../resources/webgl_test_files/conformance/renderbuffers/feedback-loop.html
-[ 1: PASS ] getError was expected value: NO_ERROR : after creating texture
-[ 2: PASS ] framebuffer should be FRAMEBUFFER_COMPLETE.
-[ 3: PASS ] getError was expected value: NO_ERROR : after initWebGL
-[ 4: FAIL ] getError expected: INVALID_OPERATION. Was NO_ERROR : after draw with invalid feedback loop
-[ 5: PASS ] getError was expected value: NO_ERROR : after drawing
-[ 6: PASS ] Should be blue.
-[ 7: PASS ] getError was expected value: NO_ERROR : after draw where framebuffer texture is bound to inactive texture unit
-[ 8: PASS ] Should be red.
-[ 9: PASS ] successfullyParsed is true
-[ FAIL ] 1 failures reported
+[ PASS ] All tests passed
Comment 1 Radar WebKit Bug Importer 2020-01-03 11:13:23 PST
<rdar://problem/58302519>
Comment 2 Alexey Proskuryakov 2020-01-03 19:56:13 PST
This test is only running on the single WebGL bot, so it's not necessarily a Catalina specific regression. We only have results for one OS and hardware combination.
Comment 3 Justin Fan 2020-02-04 15:58:00 PST
This does indeed look like a progression on both Catalina WK2 iMac Pro and Mac mini; new passing results will be checked in when ANGLE is reenabled.
Comment 4 Justin Fan 2020-03-13 23:17:45 PDT
Committed r258461: <https://trac.webkit.org/changeset/258461>